#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		aspver		0.60

#-----------------------------------------------------------------------------
Name		:	aspell6-en
Version		:	2019.10.06
Release		:	17.0.10.rel%{?dist}
Summary		:	English dictionaries for Aspell

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://ftp.gnu.org/gnu/aspell/dict/en/

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	aspell

BuildArch	:	noarch

Requires	:	aspell
#-----------------------------------------------------------------------------
%description
Provides the word list/dictionaries for the following: English, Canadian
English, British English

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README README.iso
%license Copyright
%{_libdir}/aspell-%{aspver}/en_*
%{_libdir}/aspell-%{aspver}/en-*
%{_libdir}/aspell-%{aspver}/en.dat
%{_libdir}/aspell-%{aspver}/en.multi
%{_libdir}/aspell-%{aspver}/american-*
%{_libdir}/aspell-%{aspver}/american.alias
%{_libdir}/aspell-%{aspver}/australian-*
%{_libdir}/aspell-%{aspver}/australian.alias
%{_libdir}/aspell-%{aspver}/british-*
%{_libdir}/aspell-%{aspver}/british.alias
%{_libdir}/aspell-%{aspver}/canadian-*
%{_libdir}/aspell-%{aspver}/canadian.alias
%{_libdir}/aspell-%{aspver}/english-*
%{_libdir}/aspell-%{aspver}/english.alias

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build
./configure


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%changelog
